IINFO(1)

NAME
iinfo - print information about images

SYNOPSIS
iinfo [options] files...

DESCRIPTION
The iinfo utility is invoked as follows: iinfo [options] filename... Where filename (and any following strings) names the image file(s) whose information should be printed. The image files may be of any format recognized by OpenImageIO (i.e., for which ImageInput plugins are available).

In its most basic usage, it simply prints the resolution, number of channels, pixel data type, and file format type of each of the files listed:
$ iinfo img_6019m.jpg grid.tif lenna.png
img_6019m.jpg : 1024 x  683, 3 channel, uint8 jpeg
grid.tif      :  512 x  512, 3 channel, uint8 tiff
lenna.png     :  120 x  120, 4 channel, uint8 png

For a complete description, see /usr/share/doc/openimageio-doc/openimageio.pdf.gz.

OPTIONS

--help
    Print help message

-v  Verbose output

-m %s
    Metadata names to print (default: all)

-f  Prefix each line with the filename

-s  Sum the image sizes

-a  Print info about all subimages

--hash
    Print SHA-1 hash of pixel values

--stats
    Print image pixel statistics (data window)

SEE ALSO
iconvert(1), idiff(1), igrep(1), iv(1), maketx(1), oiiotool(1).

AUTHOR
OpenImageIO was written by Larry Gritz and the other authors and contributors.

This manual page was written by IRIE Shinsuke <irieshinsuke@yahoo.co.jp>, for the Debian project (and may be used by others).